use std::{env, process};

use minigrep_by_BSH::Config;

fn main() {
    let config = Config::new(env::args()).unwrap_or_else(|err| {
        eprintln!("인수를 구문분석 하는 동안 오류가 발생했습니다: {}", err);
        process::exit(1);
    });

    if let Err(e) = minigrep_by_BSH::run(config) {
        eprintln!("애플리케이션 에러: {}", e);

        process::exit(1);
    }
}